Data Fields

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - e -

- edit() : edje::edit
- eet : _Efreet_Desktop
- effect : _Old_Edje_Part
- eject() : efl::file
- ellipsis_get() : evas::text
- ellipsis_set() : evas::text
- embedded_text_rectangle : Efreet_Icon
- empty() : efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_access_traits , efl::eina::_inarray_common_base , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare
- end : _Eina_File_Line , _Eina_Lines_Iterator , efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_access_traits , efl::eina::_mutable_range_template< T, Traits > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare
- end_get() : efl::gfx::gradient::linear
- end_index : _Ecore_IMF_Preedit_Attr
- end_set() : efl::gfx::gradient::linear
- engine_info_get() : evas::canvas , evas::out
- engine_info_set() : evas::canvas , evas::out
- enterer() : ecore::idle::enterer
- entries : _Old_Edje_External_Directory , _Old_Edje_Font_Directory , _Old_Edje_Image_Directory , Efreet_Menu
- entry_mode : _Old_Edje_Part
- equal_commands() : efl::gfx::shape
- equivalent() : efl::eina::error_category
- erase() : efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- error : _Ecore_Con_Event_Client_Error , _Ecore_Con_Event_Server_Error
- error_str : _Edje_Edit_Script_Error
- evasgl : _Evas_Native_Surface
- evasglBindWaylandDisplay : _Evas_GL_API
- evasglClientWaitSync : _Evas_GL_API
- evasglCreateImage : _Evas_GL_API
- evasglCreateImageForContext : _Evas_GL_API
- evasglCreateSync : _Evas_GL_API
- evasglDestroyImage : _Evas_GL_API
- evasglDestroySync : _Evas_GL_API
- evasglGetSyncAttrib : _Evas_GL_API
- evasglQueryWaylandBuffer : _Evas_GL_API
- evasglSignalSync : _Evas_GL_API
- evasglUnbindWaylandDisplay : _Evas_GL_API
- evasglWaitSync : _Evas_GL_API
- event_callback_array_del() : eo::base
- event_callback_array_priority_add() : eo::base
- event_callback_call() : eo::base
- event_callback_del() : eo::base
- event_callback_forwarder_add() : eo::base
- event_callback_forwarder_del() : eo::base
- event_callback_priority_add() : eo::base
- event_default_flags_get() : evas::canvas
- event_default_flags_set() : evas::canvas
- event_down_count_get() : evas::canvas
- event_feed_axis_update() : evas::canvas
- event_feed_hold() : evas::canvas
- event_feed_key_down() : evas::canvas
- event_feed_key_down_with_keycode() : evas::canvas
- event_feed_key_up() : evas::canvas
- event_feed_key_up_with_keycode() : evas::canvas
- event_feed_mouse_cancel() : evas::canvas
- event_feed_mouse_down() : evas::canvas
- event_feed_mouse_in() : evas::canvas
- event_feed_mouse_move() : evas::canvas
- event_feed_mouse_out() : evas::canvas
- event_feed_mouse_up() : evas::canvas
- event_feed_mouse_wheel() : evas::canvas
- event_feed_multi_down() : evas::canvas
- event_feed_multi_move() : evas::canvas
- event_feed_multi_up() : evas::canvas
- event_freeze() : eo::base
- event_freeze_count_get() : eo::base
- event_global_freeze() : eo::base
- event_global_freeze_count_get() : eo::base
- event_global_thaw() : eo::base
- event_input_mouse_move() : evas::canvas
- event_input_multi_down() : evas::canvas
- event_input_multi_move() : evas::canvas
- event_input_multi_up() : evas::canvas
- event_refeed_event() : evas::canvas
- event_src : _Evas_Event_Mouse_Down , _Evas_Event_Mouse_In , _Evas_Event_Mouse_Move , _Evas_Event_Mouse_Out , _Evas_Event_Mouse_Up
- event_thaw() : eo::base
- event_window : _Ecore_Event_Key , _Ecore_Event_Mouse_Button , _Ecore_Event_Mouse_IO , _Ecore_Event_Mouse_Move , _Ecore_Event_Mouse_Wheel
- example_icon : Efreet_Icon_Theme
- exe : _Ecore_Exe_Event_Add , _Ecore_Exe_Event_Data , _Ecore_Exe_Event_Del , ecore::exe
- exec : _Efreet_Desktop , _Efreet_Desktop_Action
- exit_code : _Ecore_Exe_Event_Del
- exited : _Ecore_Exe_Event_Del
- exiter() : ecore::idle::exiter
- ext_data : _Ecore_Event_Signal_Exit , _Ecore_Event_Signal_Hup , _Ecore_Event_Signal_Power , _Ecore_Event_Signal_User , _Ecore_Exe_Event_Add , _Ecore_Exe_Event_Del
- external_dir : _Old_Edje_File
- external_params : _Old_Edje_Part_Description